Package picard.analysis

## Class WgsMetricsProcessorImpl<T extends htsjdk.samtools.util.AbstractRecordAndOffset>

- java.lang.Object
- - picard.analysis.WgsMetricsProcessorImpl<T>

- All Implemented Interfaces:
    `WgsMetricsProcessor`

      public class WgsMetricsProcessorImpl<T extends htsjdk.samtools.util.AbstractRecordAndOffset>
      extends Object
      implements WgsMetricsProcessor

  Implementation of `WgsMetricsProcessor` that gets input data from a given iterator and processes it with a help of collector

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WgsMetricsProcessorImpl​(htsjdk.samtools.util.AbstractLocusIterator<T,​htsjdk.samtools.util.AbstractLocusInfo<T>> iterator, htsjdk.samtools.reference.ReferenceSequenceFileWalker refWalker, AbstractWgsMetricsCollector<T> collector, htsjdk.samtools.util.ProgressLogger progress)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addToMetricsFile​(htsjdk.samtools.metrics.MetricsFile<WgsMetrics,​Integer> file, boolean includeBQHistogram, CountingFilter dupeFilter, CountingFilter adapterFilter, CountingFilter mapqFilter, CountingPairedFilter pairFilter)` | Adds result metric's data to input file
    `void` | `processFile()` | Method gets the data from iterator for each locus and processes it with the help of collector.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WgsMetricsProcessorImpl

          public WgsMetricsProcessorImpl​(htsjdk.samtools.util.AbstractLocusIterator<T,​htsjdk.samtools.util.AbstractLocusInfo<T>> iterator,
                                         htsjdk.samtools.reference.ReferenceSequenceFileWalker refWalker,
                                         AbstractWgsMetricsCollector<T> collector,
                                         htsjdk.samtools.util.ProgressLogger progress)

      Parameters:
        `iterator` - input `AbstractLocusIterator`
        `refWalker` - over processed reference file
        `collector` - input `AbstractWgsMetricsCollector`
        `progress` - logger

  - ### Method Detail

    - #### processFile

          public void processFile()

      Method gets the data from iterator for each locus and processes it with the help of collector.
      Specified by:
        `processFile` in interface `WgsMetricsProcessor`

    - #### addToMetricsFile

          public void addToMetricsFile​(htsjdk.samtools.metrics.MetricsFile<WgsMetrics,​Integer> file,
                                       boolean includeBQHistogram,
                                       CountingFilter dupeFilter,
                                       CountingFilter adapterFilter,
                                       CountingFilter mapqFilter,
                                       CountingPairedFilter pairFilter)

      Description copied from interface: `WgsMetricsProcessor`
      Adds result metric's data to input file
      Specified by:
        `addToMetricsFile` in interface `WgsMetricsProcessor`
      Parameters:
        `file` - MetricsFile for result of collector's work
        `includeBQHistogram` - include base quality histogram
        `dupeFilter` - counting filter for duplicate reads
        `adapterFilter` - counting filter for adapter reads
        `mapqFilter` - counting filter for mapping quality
        `pairFilter` - counting filter for reads without a mapped mate pair